Changes 2025.08.18

What's Changed

GET /api/arthr/apiKeys

Return Type:

Changed response : 200 OK

GET /api/process-manager/processDefinitions/tags

Return Type:

Changed response : 200 OK

Changed items (object): > The collection of tags

  • Added property processDefinitionId (string) > The process definition ID that tag is referencing.

POST /api/process-manager/processDefinitions/{processDefinitionId}/tags

Return Type:

Changed response : 201 Created

  • Added property processDefinitionId (string) > The process definition ID that tag is referencing.

GET /api/process-manager/cloudSecrets

Return Type:

Changed response : 200 OK

GET /api/process-manager/processInstances/search

Return Type:

Changed response : 200 OK

GET /api/watchlist-manager/facewatchlists/{watchlistId}/watchlist-members

Changed response : 200 OK

GET /api/watchlist-manager/facewatchlists

Changed response : 200 OK

GET /api/theme-server/customPages

Return Type:

Changed response : 200 OK

GET /api/theme-server/customPages/{name}/versions

Return Type:

Changed response : 200 OK

GET /api/identity-store/events/queries/{executionId}/result

Parameters:

Added: size in query

GET /api/identity-store/stores/{storeName}/users/{userId}/authentications

Return Type:

Changed response : 200 OK

GET /api/identity-store/stores/{storeName}/users/{extId}/authentications/ext

Return Type:

Changed response : 200 OK

POST /api/identity-store/events/queries/start

Request:

  • Added property size (integer) > Optional page size - number of elements that will be returned per page.

GET /api/process-manager/processInstances/{processInstanceId}

Return Type:

Changed response : 200 OK

  • Added property retentionDays (integer) > The retention days for the process instance. This is derived from the retention defined on the Process Definition.
  • Added property expiringDtm (string) > The date after which a process instance is eligible for deletion. The date is calculated based on when the process instance was created and retentionDays.

GET /api/process-manager/processInstances/{processInstanceId}/withParameters

Return Type:

Changed response : 200 OK

  • Added property retentionDays (integer)

POST /api/process-manager/processInstances

Request:

GET /api/process-manager/processInstances

Return Type:

Changed response : 200 OK

  • Added property extendedSearchField (string)
  • Added property extendedSearchTerms (array)
  • Added property scheduledExpiry (boolean) > Indicates if the process instance is scheduled for expiry based on retention policy. If true, the process instance will be deleted after the retention period.
  • Added property retentionDays (integer) > The number of days after which the process instance will be deleted by retention policy. This value is used to calculate the expiringDtm.

GET /api/process-manager/processTokens

Return Type:

Changed response : 200 OK

  • Deprecated property maxProcessDuration (string) > This field is deprecated and will be removed in future versions. Deprecated since Aug 2025.

POST /api/process-manager/processTokens

Request:

  • Deprecated property maxProcessDuration (string) > This field is deprecated and will be removed in future versions. Deprecated since Aug 2025.

Return Type:

Changed response : 201 Created

  • Deprecated property maxProcessDuration (string) > This field is deprecated and will be removed in future versions. Deprecated since Aug 2025.

POST /api/identity-store/stores/{storeName}/users/{userExtId}/passkeys/relyingParties/{rpId}/registrations/{regPolicyName}/ext

Return Type:

Changed response : 201 Created

  • Renamed property authenticatorSelection (object) on RegOptionResponse (previously authenticatorSelectionCriteria) > This is a correction in the naming as required by the browser. This is a correction of the protocol message.

POST /api/identity-store/stores/{storeName}/users/{userId}/passkeys/relyingParties/{rpId}/registrations/{regPolicyName}

Return Type:

Changed response : 201 Created

  • Renamed property authenticatorSelection (object) on RegOptionResponse (previously authenticatorSelectionCriteria) > This is a correction in the naming as required by the browser. This is a correction of the protocol message.

POST /api/identity-store/stores/{storeName}/passkeys/relyingParties/{rpId}/registrations/{regPolicyName}

Return Type:

Changed response : 201 Created

  • Renamed property authenticatorSelection (object) on RegOptionResponse (previously authenticatorSelectionCriteria) > This is a correction in the naming as required by the browser. This is a correction of the protocol message.

POST /api/identity-store/stores/{storeName}/users/{userId}/passkeys/relyingParties/{rpId}/authentications/{authPolicyName}

Return Type:

Changed response : 201 Created

  • Renamed property authenticatorSelection (object) on RegOptionResponse (previously authenticatorSelectionCriteria) > This is a correction in the naming as required by the browser. This is a correction of the protocol message.

POST /api/identity-store/stores/{storeName}/users/{userExtId}/passkeys/relyingParties/{rpId}/authentications/{authPolicyName}/ext

Return Type:

Changed response : 201 Created

  • Renamed property authenticatorSelection (object) on RegOptionResponse (previously authenticatorSelectionCriteria) > This is a correction in the naming as required by the browser. This is a correction of the protocol message.

POST /api/identity-store/stores/{storeName}/passkeys/relyingParties/{rpId}/authentications/{authPolicyName}

Return Type:

Changed response : 201 Created

  • Renamed property authenticatorSelection (object) on RegOptionResponse (previously authenticatorSelectionCriteria) > This is a correction in the naming as required by the browser. This is a correction of the protocol message.

POST /api/identity-store/stores/{storeName}/passkeys/authentications

Request:

  • Renamed property authenticatorSelection (object) on RegOptionResponse (previously authenticatorSelectionCriteria) > This is a correction in the naming as required by the browser. This is a correction of the protocol message.

Request:

Changed content type : application/json

  • Renamed property authenticatorSelection (object) on RegOptionResponse (previously authenticatorSelectionCriteria) > This is a correction in the naming as required by the browser. This is a correction of the protocol message.

GET /api/identity-store/stores/{storeName}/users/{extId}/sessions/ext

Return Type:

Changed response : 200 OK

  • Renamed property authenticatorSelection (object) on RegOptionResponse (previously authenticatorSelectionCriteria) > This is a correction in the naming as required by the browser. This is a correction of the protocol message.
  • Added property username (string) > The appkey username for registration

GET /api/identity-store/stores/{storeName}/users/{userId}/sessions

Return Type:

Changed response : 200 OK

  • Renamed property authenticatorSelection (object) on RegOptionResponse (previously authenticatorSelectionCriteria) > This is a correction in the naming as required by the browser. This is a correction of the protocol message.
  • Added property username (string) > The appkey username for registration

GET /api/identity-store/stores/{storeName}/users/{extUserId}/passkeys/{id}/registrationAudit/ext

Return Type:

Changed response : 200 OK

  • Renamed property authenticatorSelection (object) on RegOptionResponse (previously authenticatorSelectionCriteria) > This is a correction in the naming as required by the browser. This is a correction of the protocol message.

GET /api/identity-store/stores/{storeName}/users/{userId}/passkeys/{id}/registrationAudit

Return Type:

Changed response : 200 OK

  • Renamed property authenticatorSelection (object) on RegOptionResponse (previously authenticatorSelectionCriteria) > This is a correction in the naming as required by the browser. This is a correction of the protocol message.

POST /api/identity-store/stores/{storeName}/passkeyConfig/{rpId}

Return Type:

Changed response : 200 OK

GET /api/identity-store/stores/{storeName}

Return Type:

Changed response : 200 OK

POST /api/identity-store/stores/{storeName}

Request:

Return Type:

Changed response : 200 OK

POST /api/identity-store/stores/{storeName}/passkeyConfig

Return Type:

Changed response : 201 Created

POST /api/identity-store/stores

Request:

Return Type:

Changed response : 201 Created

GET /api/identity-store/stores

Return Type:

Changed response : 200 OK

Type to search, ESC to discard
Type to search, ESC to discard
Type to search, ESC to discard
On This Page
Changes 2025.08.18What's ChangedGET /api/arthr/apiKeysReturn Type:GET /api/process-manager/processDefinitions/tagsReturn Type:POST /api/process-manager/processDefinitions/{processDefinitionId}/tagsReturn Type:GET /api/process-manager/cloudSecretsReturn Type:GET /api/process-manager/processInstances/searchReturn Type:GET /api/watchlist-manager/facewatchlists/{watchlistId}/watchlist-membersGET /api/watchlist-manager/facewatchlistsGET /api/theme-server/customPagesReturn Type:GET /api/theme-server/customPages/{name}/versionsReturn Type:GET /api/identity-store/events/queries/{executionId}/resultParameters:GET /api/identity-store/stores/{storeName}/users/{userId}/authenticationsReturn Type:GET /api/identity-store/stores/{storeName}/users/{extId}/authentications/extReturn Type:POST /api/identity-store/events/queries/startRequest:GET /api/process-manager/processInstances/{processInstanceId}Return Type:GET /api/process-manager/processInstances/{processInstanceId}/withParametersReturn Type:POST /api/process-manager/processInstancesRequest:GET /api/process-manager/processInstancesReturn Type:GET /api/process-manager/processTokensReturn Type:POST /api/process-manager/processTokensRequest:Return Type:POST /api/identity-store/stores/{storeName}/users/{userExtId}/passkeys/relyingParties/{rpId}/registrations/{regPolicyName}/extReturn Type:POST /api/identity-store/stores/{storeName}/users/{userId}/passkeys/relyingParties/{rpId}/registrations/{regPolicyName}Return Type:POST /api/identity-store/stores/{storeName}/passkeys/relyingParties/{rpId}/registrations/{regPolicyName}Return Type:POST /api/identity-store/stores/{storeName}/users/{userId}/passkeys/relyingParties/{rpId}/authentications/{authPolicyName}Return Type:POST /api/identity-store/stores/{storeName}/users/{userExtId}/passkeys/relyingParties/{rpId}/authentications/{authPolicyName}/extReturn Type:POST /api/identity-store/stores/{storeName}/passkeys/relyingParties/{rpId}/authentications/{authPolicyName}Return Type:POST /api/identity-store/stores/{storeName}/passkeys/authenticationsRequest:Request:GET /api/identity-store/stores/{storeName}/users/{extId}/sessions/extReturn Type:GET /api/identity-store/stores/{storeName}/users/{userId}/sessionsReturn Type:GET /api/identity-store/stores/{storeName}/users/{extUserId}/passkeys/{id}/registrationAudit/extReturn Type:GET /api/identity-store/stores/{storeName}/users/{userId}/passkeys/{id}/registrationAuditReturn Type:POST /api/identity-store/stores/{storeName}/passkeyConfig/{rpId}Return Type:GET /api/identity-store/stores/{storeName}Return Type:POST /api/identity-store/stores/{storeName}Request:Return Type:POST /api/identity-store/stores/{storeName}/passkeyConfigReturn Type:POST /api/identity-store/storesRequest:Return Type:GET /api/identity-store/storesReturn Type: